#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 stack
version:              2.9.1
visibility:           public
id:                   stack-2.9.1-1VZulHBm15R6i0BNdrMwIq
key:                  stack-2.9.1-1VZulHBm15R6i0BNdrMwIq
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  372296352b65dd8eddd48fa058050846
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version Stack.Unpack
    Stack.Upgrade Stack.Upload System.Info.ShortPathName
    System.Permissions System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/stack
hs-libraries:         HSstack-2.9.1-1VZulHBm15R6i0BNdrMwIq
depends:
    Cabal-3.8.1.0 aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK
    annotated-wl-pprint-0.7.0-Bbb9GOQJoVZEpSwInbNN3i
    ansi-terminal-1.0.2-D5pa6u3ibixApJ1Glf95Ho array-0.5.4.0
    async-2.2.5-Is7oRSeLDZl4BZOR8rLrw9
    attoparsec-0.14.4-Luop1orKt9t9BafG3iOzeM base-4.17.2.1
    base64-bytestring-1.2.1.0-47oLzhpJjDSKgAC3ztjl0x
    bytestring-0.11.5.3 casa-client-0.0.1-1GZCNCjgD9l7lJnmEBG1U
    casa-types-0.0.2-BN1EAkw1ziTDUdxxBhySvX
    colour-2.3.6-3QM3ySa5D7w9XJQn2r8k6I
    conduit-1.3.6.1-8xCPaR0Iw2BH6YTSfPi284
    conduit-extra-1.3.6-B3OwI0w1NRJHsOucuVhph6 containers-0.6.7
    crypton-0.34-6XOMFbDfdYBJsq0blw7Pbh
    crypton-conduit-0.2.3-Gt1S7MFdneiEu5c6JFHzCD deepseq-1.4.8.0
    directory-1.3.7.1 echo-0.1.4-HrG6UGs9bUNIRHTRpjaAQ
    exceptions-0.10.5 extra-1.7.16-7Y66O2JePbwC6vVnVWFdDd
    file-embed-0.0.15.0-7OnjuFj6gBM9fqBKJCVXdU
    filelock-0.1.1.7-6TvB4GgqBc27iXbAtAvAr9 filepath-1.4.2.2
    fsnotify-0.3.0.1-IdcUW0wwPAbGNZxC5YqqTg
    generic-deriving-1.14.5-GoH6y9d51J6IKKrsl3iYzT
    hackage-security-0.6.2.6-6Zo8UJoNkcb62AJ66q45t4
    hashable-1.4.4.0-KhxIO0xb5fm20tEUmKRa81
    hi-file-parser-0.1.7.0-5MAIrz6aqXCCNPqKcfvCH
    hpack-0.35.2-Bjw1VYo9jNgBBo9PvIBX45 hpc-0.6.1.0
    http-client-0.7.17-6Vpdbpk3Ln7BXqc0zQ7YEB
    http-client-tls-0.3.6.4-7tZUghBa9qt8CEVGZ3Qxvr
    http-conduit-2.3.9.1-3W2U5lOG6Bv8ynAwlUmA6x
    http-download-0.2.1.0-238dganuMkZImyzYNqSIly
    http-types-0.12.4-3U9Wv2ie0NhIMa2ncoKEKC
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd
    mintty-0.1.4-AuJ2EgpOQbhHDGkFzZNT4J
    mono-traversable-1.0.21.0-3Swzz3ZIGG4BMvHVwLVusv mtl-2.2.2
    mustache-2.4.2-HP4tBTwHlAkFjfP23R7FOb
    neat-interpolation-0.5.1.4-5ZF5Q9CXP6jDm8WTN6mBFL
    network-uri-2.6.4.2-7DNDQQRpBGt6p9B807KVRo
    open-browser-0.2.1.1-JxaFXLEqga6LFagqIfuNya
    optparse-applicative-0.17.1.0-2Uxzw63jP0W13nA1A9AHJz
    pantry-0.5.7-37aHs2OF8pz6eEDRk5EfVN
    path-0.9.5-3ISzBTV2ORm1SYuwyVhoPg
    path-io-1.8.2-64YZE8VUe2K8QPTxlnXiSG
    persistent-2.14.5.1-GtjfqHiPTdI5yKwL6bow7k
    persistent-sqlite-2.13.1.0-EYt6t5sCCnVCaTt3IsY3M9 pretty-1.1.3.6
    primitive-0.8.0.0-8L1oTAgt3Zw9WwfojBIh27 process-1.6.18.0
    project-template-0.2.1.0-IWW5NdTM337GXd3m2JIYPG
    random-1.2.1.2-HAosTYlC80LEhYMYrhWYyP
    retry-0.9.3.1-3OPMH7k30xOC4VQFYIEDOF
    rio-0.1.22.0-GGAlXtYdPZsGHBv6kmcvhz
    rio-prettyprint-0.1.7.0-5rp39DBiAtg3IenQkciZz3
    split-0.2.5-20s7Sxknj6u1EUKzRkiU6P stm-2.5.1.0
    streaming-commons-0.2.3.0-2apN3GnBik9D3zBaJBbENC
    tar-0.5.1.1-JStVsC1T6XI4WucE9H16Kd template-haskell-2.19.0.0
    temporary-1.3-3zJaj18dhuS6RJ0ha8tFI1 text-2.0.2
    text-metrics-0.3.2-8wtkqKjIwx1AwjnIlDIhSd
    th-reify-many-0.1.10-FfGKvyf2Osn3qjlX4MJcgi time-1.12.2
    tls-1.9.0-FrcOA36lsSO6blwKEfqRMr transformers-0.5.6.2
    typed-process-0.2.12.0-LqeZ3jYL6apBL27TYlDX4D
    unicode-transforms-0.4.0.1-hkIF4bHDPmBh8267zWZdU unix-2.7.3
    unix-compat-0.7.3-8pl7iDZss0Y5M4eIKJIkHm
    unliftio-0.2.25.1-9sy1NywMtd3A1QAlAqc8oW
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc
    vector-0.13.1.0-IpYwnKXpLxR5PfWJ8aKdft
    yaml-0.11.11.2-3Uh4U5Kdug0BX7RNP3JhRl
    zip-archive-0.4.3.2-uwMXypC0WOBZSFDU2f3m2
    zlib-0.6.3.0-9IzZ07Ttko6HzmUjBEwMdz

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

